/*!
  \file substring.h
  \brief a small class to get the parts of a string separated by commas
*/

#ifndef _SUBSTRING_H
#define _SUBSTRING_H

//! A class that can load one string and split it in multipe ones
class SubString
{
 public:
  SubString(const char* string);
  ~SubString();

  int getCount();
  const char* getString( int i);

 private:
  char**     strings;         //!< strings produced from a single string splitted in multiple strings
  int        n;               //!< how many splitted parts
};

#endif /* _SUBSTRING_H */
