/*!
  \file stdincl.h
  \brief This file includes default headers that nearly every Class needs.
  
  no Class is defined here, but many headers to classes, and more general Headers like the openGL-header.
*/

#ifndef _STDINCL_H
#define _STDINCL_H

typedef unsigned char byte;

#include "confincl.h"

#ifdef __WIN32__
#include <windows.h>
#endif

#include <stdlibincl.h>

#include "sdlincl.h"
#include "glincl.h"

#include "error.h"
#include "debug.h"
#include "globals.h"

#include "compiler.h"

#endif /* _STDINCL_H */
