/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/

/*! 
    \file fields.h
    \brief collection of all Headers of all the different fileds there are in the 
    PhysicsEngine
*/


#ifndef _FILEDS_H
#define _FIELDS_H

/* The superclass */
#include "field.h"

/* subclasses Fields without Position */
#include "gravity.h"

/* subclasses of field with position */
#include "point_gravity.h"
#include "twirl.h"

/* many more fields */



#endif /* _FIELDS_H */
