

/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/


#include "track_node.h"

#include "null_parent.h"

#include "track_manager.h"

using namespace std;

/**
   \brief standard constructor
*/
TrackNode::TrackNode ()
{
  this->setClassID(CL_TRACK_NODE, "TrackNode");
  this->setName("TrackNode");

  NullParent::getInstance()->addChild(this);
  this->trackManager = TrackManager::getInstance();
  this->setParentMode(PNODE_ALL);
}

/**
   \brief standard deconstructor
*/
TrackNode::~TrackNode ()
{

}
